"""modify schema for texture results

Revision ID: bb1258b4093b
Revises: 3067faed075e
Create Date: 2024-01-24 02:58:34.764364

"""
from typing import Sequence, Union

import sqlmodel
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = "bb1258b4093b"
down_revision: Union[str, None] = "3067faed075e"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "segment_wheel_bay_details",
        sa.Column("laser_path", sqlmodel.sql.sqltypes.AutoString(), nullable=True),
    )

    # Drop wheel_bay_texture_results_table. The latest version of the table
    # will be added back to the database during the create_sqlite_engine
    # factory function call. This table has not been used by previous versions
    # of the database, so contains no data.
    op.drop_table("wheel_bay_texture_results")
    # ### end Alembic commands ###


def downgrade() -> None:
    # Not implemented
    pass
